[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# SetTextCodePage

Set the codepage used in a text file.

## Declaration

Source position: systemh.inc line 1352

`procedure SetTextCodePage(`
`var T: Text;`
`CodePage: TSystemCodePage`
`);`

## Description

GetTextCodePage sets the codepage that the text file T uses. All strings written to the file will be converted to the indicated codepage. By default, the codepage is set to CP_ACP.

## Errors

None.

## See also

TextRec |  | Text file type
GetTextCodePage |  | Get the codepage used in a text file.